'*******************************************************************************
'NET-IO Board with Atmega32 / 644 / 644P and ENC28J60  'SVN Rev.227 09.01.2011
'*******************************************************************************
'
'  Copyright bascom-forum.de (C) [2009]  [DON]
'  -> http://bascom-forum.de/index.php?topic=1781.new;topicseen#new
'  Fr dieses Programm besteht KEINERLEI GARANTIE.
'  Dies ist freie Software, die Sie unter bestimmten Bedingungen weitergeben drfen.
'  Der Code darf nicht in andere Foren gepostet werden.
'  Der Code darf auf eurer Homepage erscheinen wenn ihr die Autoren
'  und obigen Link zum Bascom-Forum.de erwhnt.

'  Software based on Code by Ben Zijlstra and Viktor Varga
'  Weiterentwickelt von
'    Huetti,
'    Michael
'    boeserkorn
'    mr_energy
'    HansHans
'    six1, Michael Kcher
'    dabuze
'    framuel
'
'*******************************************************************************
'
'  Dieses Hilfsprogramm dient nur dazu, einmalig die fr das Hauptprogramm
'  notwendigen Initialisierungsdaten ins EEPROM zu schreiben.
'
'*******************************************************************************

'$regfile = "m32def.dat"                                     'Chip = 23
$regfile = "m644def.dat"                                    'Chip =37
'$regfile = "m644pdef.dat"                                   'Chip =59
$crystal = 16000000
 $baud = 57600

$hwstack = 200
$swstack = 200
$framesize = 300
'*******************************************************************************
'  Local Declarations
'*******************************************************************************
'According to a data sheet from ATMEL,
'the first location in the EEPROM with address 0 can be overwritten during a reset so don't use it.
Dim Ee_dummy As Eram Byte
Dim Ee_s12_hostname As Eram String * 12
Dim Ee_b_macaddr(6) As Eram Byte
Dim Ee_b_ipaddr(4) As Eram Byte
Dim Ee_b_subnetmask(4) As Eram Byte
Dim Ee_b_defaultgateway(4) As Eram Byte
Dim Ee_b_nameserver(4) As Eram Byte
Dim Ee_b_ntpserver(4) As Eram Byte

Dim Ee_temperatur_min(4) As Eram Integer
Dim Ee_temperatur_max(4) As Eram Integer
Dim Ee_temperatur_schwelle(4) As Eram Integer

Dim Ee_php_server_ip_addr(4) As Eram Byte

' Individuelle NETIO Nummer fr Aufruf PHP Sript
Dim Ee_netio_addr As Eram Byte

'PHP-Script Name. (z.B. temp.php)
Dim Ee_php_script As Eram String * 20

'Zeit in Sekunden fr Ausfhrung PHP Script
Dim Ee_php_time As Eram Word

'  Dim Ee_dummy_string As Eram String * 107                    '          Nur Platzhalter im eeprom



Dim Ee_smtp_server_ip_addr(4) As Eram Byte At &HC8          '200
Dim Ee_b_smtp_server_port_h As Eram Byte At &HCC            '204
Dim Ee_b_smtp_server_port_l As Eram Byte At &HCD            '205

Dim Ee_s31_meine_email_adresse As Eram String * 31 At &HCE  '206
Dim Ee_s47_benutzerkennung As Eram String * 47 At &HEE      '238
Dim Ee_s31_passwort As Eram String * 31 At &H11E            '286
Dim Ee_s31_empfaenger_email_adresse As Eram String * 31 At &H13E       '318
Dim Ee_b_smtp_ende As Eram Byte At &H15E                    '350                (Dummy als Enderkennung)

'smtp-Script Name. (z.B. xxxxxxxxxxx )
Dim Ee_smtp_script As Eram String * 20


Dim I As Byte





'*******************************************************************************
'  Write ERAM
'*******************************************************************************

'Ee_dummy2 = 0


Ee_netio_addr = 15


'******************************************************
 Ee_dummy = 0

Ee_s12_hostname = "Net-IO-??   "                            '==> Hostname max. 12-stellig

Ee_b_macaddr(1) = &H00                                      '==> MAC-Adresse des NETIO
Ee_b_macaddr(2) = &H11                                      '==> wird von Pollin vergeben
Ee_b_macaddr(3) = &H22                                      '==> sollte weltweit eindeutig sein
Ee_b_macaddr(4) = &H33                                      '==>
Ee_b_macaddr(5) = &H44                                      '==>
Ee_b_macaddr(6) = * * * * *                                 '==>




Ee_b_ipaddr(1) = 192                                        '==> Deine statische IP Adresse
Ee_b_ipaddr(2) = 168                                        '==> z.B. 192.168.1.x
Ee_b_ipaddr(3) = + + +                                      '==>
Ee_b_ipaddr(4) = + + +                                      '==> wird ggf. per DHCP berschrieben

Ee_b_subnetmask(1) = 255                                    '==> Deine Subnetzmaske
Ee_b_subnetmask(2) = 255                                    '==> z.B. 255.255.255.0
Ee_b_subnetmask(3) = 255                                    '==>
Ee_b_subnetmask(4) = 0                                      '==> wird ggf. per DHCP berschrieben

Ee_b_defaultgateway(1) = 192                                '==> Dein Router
Ee_b_defaultgateway(2) = 168                                '==> z.B. 192.168.1.1
Ee_b_defaultgateway(3) = + + +                              '==>
Ee_b_defaultgateway(4) = + + +                              '==> wird ggf. per DHCP berschrieben

Ee_b_nameserver(1) = 192                                    '==> Dein Nameserver (meist der Router)
Ee_b_nameserver(2) = 168                                    '==> z.B. 192.168.1.1
Ee_b_nameserver(3) = + + +                                  '==>
Ee_b_nameserver(4) = + + +                                  '==> wird ggf. per DHCP berschrieben

Ee_b_ntpserver(1) = 195                                     '==> Ein NTP Server
Ee_b_ntpserver(2) = 145                                     '==> hier z.B. ntp1.t-online.de
Ee_b_ntpserver(3) = 119                                     '==>
Ee_b_ntpserver(4) = 188                                     '==> wird ggf. per DHCP berschrieben







                                ' GMX   213.165.64.20 , 587       't-online 194.25.134.89 , 25)

Ee_smtp_server_ip_addr(1) = 213                             '==>GMX 213
Ee_smtp_server_ip_addr(2) = 165                             '==>GMX 165
Ee_smtp_server_ip_addr(3) = 64                              '==>GMX 64
Ee_smtp_server_ip_addr(4) = 20                              '==>GMX 20
Ee_b_smtp_server_port_h = &H02                              '==>GMX  &H02
Ee_b_smtp_server_port_l = &H4B                              '==>GMX   &H02




      Ee_s31_meine_email_adresse = "<*******@****.de>"      ' Meine Email address   !! max. 31-stellig

'Benutzerkennung + Passwort  64bit codiert eingeben damit  zB --> Http : / / Www.php -einfach.de / Base64_generator.php    !! max. 31-stellig

      Ee_s47_benutzerkennung = "***************{013}{010}"  '  Benutzerkennung  64bitcodiert      !! max. 47-stellig
      Ee_s31_passwort = "***************{013}{010}"         ' Passwort  64bitcodiert               !! max. 31-stellig

      Ee_s31_empfaenger_email_adresse = "<******@*****.de>" '  Email address    des Empfngers     !! max. 31-stellig
     '
'For I = 1 To 18
 ' Ee_dummy2(i) = &HEE                                       ' Frei nur Markierung  Test
'Next I
Label:

Print " Ende Init "
Wait 1
Goto Label


End









